<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2009 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class Admin_Item_iframe_Controller extends Admin_Controller {
  public function index() {
   $item_id = Input::instance()->get("item_id");
    print $this->_get_view($item_id);
  }

  public function save() {
    access::verify_csrf();
    // Store form values into variables.
    $item_id	= Input::instance()->get("item_id");
    // access var directly to get around xss filtering.
    $code = stripslashes($_REQUEST["code"]);
	// update the DB
    $iframe = ORM::factory("item_iframe")->where("item_id", "=", $item_id)->find();
	$iframe->item_id = $item_id;
	$iframe->code = $code;
	$iframe->save();
	message::success(t('The view code has been updated.  <a class="g-album-link" href="%url" class="g-dialog-link">Return to item</a>.',
          		array("url" => html::mark_clean(url::site("items/$item_id")))));
	url::redirect("admin/item_iframe?item_id=$item_id");
  }

  private function _get_view($item_id) {
    $v = new Admin_View("admin.html");
    $v->content = new View("admin_item_iframe.html");
    $v->content->form = empty($form) ? $this->_get_form($item_id) : $form;
    return $v;
  }

  private function _get_form() {
    $item_id	= Input::instance()->get("item_id");
	$item		= ORM::factory("item", $item_id);
	$item_code 	= ORM::factory("item_iframe")
				->where("item_id", "=", $item->id)
				->find_all();
    $form 	= new Forge("admin/item_iframe/save?item_id=$item_id", "", "post", array("id" => "g-admin-form"));
		
    $group = $form->group("iframe")
		->label(t('Iframe code'));
	$group->input("item_id")->label(t("Item to be changed:"))
		->value($item->title)->disabled(true);
	$group->textarea("code")->label(t("Iframe code to use for this item:"))
	    ->id("g-code")
		->value($item_code[0]->code);

    $group->submit("submit")->value(t("Commit changes"));

    return $form;
  }
}