<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2011 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class item_iframes_theme_Core {
  static function head($theme) {
    return $theme->css("item_iframe.css");
  }
  static function photo_bottom($theme) {
    // If the current page is an item, and if it's in the item_iframes table,
    //   then use some JS to remove the resized item and replace with iframe.
    if ($theme->item()) {
	  $loading_text = t("Loading please wait!")->for_js();
      $iframe = ORM::factory("item_iframe")
        ->where("item_id", "=", $theme->item->id)
        ->find_all();
      if (count($iframe) > 0) {
	    // replace any line breaks for the JS to work
		// this works as well but not sure if it is best:
		// $iframe_code = preg_replace("/\r?\n/", "\\n", addslashes($iframe[0]->code));
	    $iframe_code = preg_replace("/\r?\n/", "", $iframe[0]->code);
		// add ?wmode=transparent&rel=0 to youtube urls so the menu shows over and there is no related after movie plays
		$pattern = '" frameborder="';
		$replace = '&rel=0&wmode=transparent" frameborder="';
		$iframe_code = str_replace($pattern,$replace,$iframe_code);
	    $replace_script =  "<script type=\"text/javascript\">\n\t$('#g-photo').replaceWith( '<div class=\"g-iframe\">";
		$replace_script .= "<span id=\"g-wait\">" . $loading_text . "<br /></span>" . $iframe_code . "</div>' );\n\t</script>";
		return $replace_script;
      }
    }
  }
  static function page_bottom($theme) {
  if ($theme->item()) {
    // hide the wait span once the iframe has loaded
    $test_code = "<script type=\"text/javascript\">$(document).ready(function(){
    $('.g-iframe iframe').load(function() {
		$('#g-wait').hide();
    });
	});</script>";
	return $test_code;
  }
  }
}
